CloseReportingConnectionWrapper (c3p0-0.9.5.5 API Documentation)
Date: 2019-12-11

com.mchange.v2.c3p0.util

## Class CloseReportingConnectionWrapper

- java.lang.Object
- - com.mchange.v2.sql.filter.FilterConnection
  - - com.mchange.v2.c3p0.util.CloseReportingConnectionWrapper

- All Implemented Interfaces:
    java.lang.AutoCloseable, java.sql.Connection, java.sql.Wrapper

  Deprecated.
  Please use com.mchange.v2.c3p0.debug.CloseLoggingConnectionWrapper

      public class CloseReportingConnectionWrapper
      extends com.mchange.v2.sql.filter.FilterConnection

- - ### Field Summary

    - ### Fields inherited from class com.mchange.v2.sql.filter.FilterConnection

      `inner`

    - ### Fields inherited from interface java.sql.Connection

      `TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CloseReportingConnectionWrapper(java.sql.Connection conn)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Deprecated.

    - ### Methods inherited from class com.mchange.v2.sql.filter.FilterConnection

      `abort, clearWarnings, commit, createArrayOf, createBlob, createClob, createNClob, createSQLXML, createStatement, createStatement, createStatement, createStruct, getAutoCommit, getCatalog, getClientInfo, getClientInfo, getHoldability, getInner, getMetaData, getNetworkTimeout, getSchema, getTransactionIsolation, getTypeMap, getWarnings, isClosed, isReadOnly, isValid, isWrapperFor, nativeSQL, prepareCall, prepareCall, prepareCall, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, releaseSavepoint, rollback, rollback, setAutoCommit, setCatalog, setClientInfo, setClientInfo, setHoldability, setInner, setNetworkTimeout, setReadOnly, setSavepoint, setSavepoint, setSchema, setTransactionIsolation, setTypeMap, unwrap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CloseReportingConnectionWrapper

          public CloseReportingConnectionWrapper(java.sql.Connection conn)

      Deprecated.

  - ### Method Detail

    - #### close

          public void close()
                     throws java.sql.SQLException

      Deprecated.
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Specified by:
        `close` in interface `java.sql.Connection`
      Overrides:
        `close` in class `com.mchange.v2.sql.filter.FilterConnection`
      Throws:
        `java.sql.SQLException`